# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
DBus::AdaptorBase Class Referenceabstract

`#include <interface.h>`

Inheritance diagram for DBus::AdaptorBase:

## Public Member Functions

virtual const ObjectAdaptor * | object () const =0

## Protected Member Functions

InterfaceAdaptor * | find_interface (const std::string &name)
virtual | ~AdaptorBase ()
virtual void | _emit_signal (SignalMessage &)=0

## Protected Attributes

InterfaceAdaptorTable | _interfaces

## Detailed Description

Definition at line 58 of file interface.h.

## Constructor & Destructor Documentation

## ◆ ~AdaptorBase()

virtual DBus::AdaptorBase::~AdaptorBase | ( |  | ) |

inline protected virtual

Definition at line 68 of file interface.h.

## Member Function Documentation

## ◆ _emit_signal()

virtual void DBus::AdaptorBase::_emit_signal | ( | SignalMessage & |  | ) |

protected pure virtual

Implemented in DBus::ObjectAdaptor.

Referenced by DBus::InterfaceAdaptor::emit_signal().

## ◆ find_interface()

InterfaceAdaptor * AdaptorBase::find_interface | ( | const std::string & | name | ) |

protected

Definition at line 42 of file interface.cpp.

References _interfaces.

Referenced by DBus::PropertiesAdaptor::Get(), DBus::ObjectAdaptor::handle_message(), object(), and DBus::PropertiesAdaptor::Set().

## ◆ object()

virtual const ObjectAdaptor * DBus::AdaptorBase::object | ( |  | ) | const

pure virtual

Implemented in DBus::ObjectAdaptor.

References find_interface().

Referenced by DBus::IntrospectableAdaptor::Introspect().

## Member Data Documentation

## ◆ _interfaces

InterfaceAdaptorTable DBus::AdaptorBase::_interfaces

protected

Definition at line 73 of file interface.h.

Referenced by find_interface(), DBus::InterfaceAdaptor::InterfaceAdaptor(), and DBus::IntrospectableAdaptor::Introspect().

The documentation for this class was generated from the following files:

- interface.h
- interface.cpp